Package com.collibra.catalog.api.component.classification.model.impl

# Class ClassificationMatchImpl

Object
EntityImpl
ResourceImpl
ClassificationMatchImpl

All Implemented Interfaces:
  `ClassificationMatch`, `Entity`, `Resource`, `Serializable`

public class ClassificationMatchImpl extends ResourceImpl implements ClassificationMatch

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ClassificationMatchImpl.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassificationMatchImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClassificationMatchImpl.Builder`
  `builder()`
  `boolean`
  `equals(Object o)`
  `NamedResourceReference`
  `getAsset()`
  Returns the classified asset.
  `Classification`
  `getClassification()`
  Returns the data classification for the asset.
  `double`
  `getConfidence()`
  Returns the confidence in which the asset was classified.
  `String`
  `getStatus()`
  Returns the status of assignment of data class to the asset.
  `int`
  `hashCode()`
  `void`
  `setAsset(NamedResourceReference asset)`
  `void`
  `setClassification(Classification classification)`
  `void`
  `setConfidence(double confidence)`
  `void`
  `setStatus(String status)`
  `String`
  `toString()`

  ### Methods inherited from class ResourceImpl

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem, setCreatedBy, setCreatedOn, setLastModifiedBy, setLastModifiedOn, setResourceType, setSystem`

  ### Methods inherited from class EntityImpl

  `getId, setId`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Constructor Details

  - ### ClassificationMatchImpl

    public ClassificationMatchImpl()

- ## Method Details

  - ### getStatus

    public String getStatus()
    Description copied from interface: `ClassificationMatch`
    Returns the status of assignment of data class to the asset.
    Specified by:
      `getStatus` in interface `ClassificationMatch`
    Returns:
      the classification status

  - ### getConfidence

    public double getConfidence()
    Description copied from interface: `ClassificationMatch`
    Returns the confidence in which the asset was classified.
    Specified by:
      `getConfidence` in interface `ClassificationMatch`
    Returns:
      the confidence number

  - ### getAsset

    public NamedResourceReference getAsset()
    Description copied from interface: `ClassificationMatch`
    Returns the classified asset.
    Specified by:
      `getAsset` in interface `ClassificationMatch`
    Returns:
      the classified asset

  - ### getClassification

    public Classification getClassification()
    Description copied from interface: `ClassificationMatch`
    Returns the data classification for the asset.
    Specified by:
      `getClassification` in interface `ClassificationMatch`
    Returns:
      the data classification

  - ### setStatus

    public void setStatus(String status)

  - ### setConfidence

    public void setConfidence(double confidence)

  - ### setAsset

    public void setAsset(NamedResourceReference asset)

  - ### setClassification

    public void setClassification(Classification classification)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `EntityImpl`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `EntityImpl`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ResourceImpl`

  - ### builder

    public static ClassificationMatchImpl.Builder builder()